Manifest-Version: 1.0
Bnd-LastModified: 1740758955674
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Object Service
Bundle-SymbolicName: com.liferay.object.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.159.hotfix-6478-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.account.model;version="5.5",com.liferay.account.service;version="1
 0.0",com.liferay.asset.kernel.model;version="10.0",com.liferay.asset.
 kernel.service;version="8.2",com.liferay.counter.kernel.service;versi
 on="2.2",com.liferay.document.library.kernel.model;version="8.2",com.
 liferay.document.library.kernel.service;version="11.4",com.liferay.do
 cument.library.kernel.util;version="9.0",com.liferay.dynamic.data.map
 ping.expression;version="5.0",com.liferay.dynamic.data.mapping.model;
 version="7.1",com.liferay.dynamic.data.mapping.util;version="8.0",com
 .liferay.expando.kernel.model;version="6.0",com.liferay.expando.kerne
 l.util;version="4.0",com.liferay.exportimport.kernel.lar;version="4.4
 ",com.liferay.fragment.model;version="3.4",com.liferay.frontend.data.
 set.filter;version="7.0",com.liferay.frontend.taglib.servlet.taglib;v
 ersion="8.3",com.liferay.headless.admin.user.dto.v1_0;version="8.7",c
 om.liferay.headless.admin.user.resource.v1_0;version="11.5",com.lifer
 ay.info.collection.provider;version="4.0",com.liferay.info.item.selec
 tor;version="2.0",com.liferay.info.pagination;version="1.1",com.lifer
 ay.item.selector;version="4.10",com.liferay.item.selector.criteria;ve
 rsion="2.4",com.liferay.item.selector.criteria.info.item.criterion;ve
 rsion="2.1",com.liferay.layout.model;version="2.2",com.liferay.layout
 .service;version="2.2",com.liferay.list.type.model;version="2.3",com.
 liferay.list.type.service;version="7.2",com.liferay.notification.cont
 ext;version="2.0",com.liferay.notification.handler;version="1.0",com.
 liferay.notification.model;version="4.2",com.liferay.notification.ser
 vice;version="8.3",com.liferay.notification.term.evaluator;version="2
 .0",com.liferay.notification.type;version="8.0",com.liferay.object.ac
 tion.engine;version="3.0",com.liferay.object.action.executor;version=
 "4.0",com.liferay.object.action.trigger;version="2.0",com.liferay.obj
 ect.configuration;version="1.0",com.liferay.object.constants;version=
 "7.4",com.liferay.object.definition.notification.term.util;version="1
 .0",com.liferay.object.deployer;version="1.0",com.liferay.object.dyna
 mic.data.mapping.expression;version="1.0",com.liferay.object.entry.ut
 il;version="2.3",com.liferay.object.exception;version="18.5",com.life
 ray.object.field.builder;version="2.3",com.liferay.object.field.busin
 ess.type;version="8.1",com.liferay.object.field.filter.parser;version
 ="6.0",com.liferay.object.field.render;version="2.0",com.liferay.obje
 ct.field.setting.util;version="1.2",com.liferay.object.field.util;ver
 sion="3.1",com.liferay.object.model;version="8.1",com.liferay.object.
 model.listener;version="1.0",com.liferay.object.petra.sql.dsl;version
 ="2.0",com.liferay.object.related.models;version="6.1",com.liferay.ob
 ject.relationship.util;version="1.1",com.liferay.object.rest.context.
 path;version="1.0",com.liferay.object.rest.dto.v1_0;version="1.6",com
 .liferay.object.rest.manager.v1_0;version="11.2",com.liferay.object.r
 est.petra.sql.dsl.expression;version="2.0",com.liferay.object.scope;v
 ersion="1.0",com.liferay.object.scripting.exception;version="1.0",com
 .liferay.object.scripting.executor;version="2.0",com.liferay.object.s
 cripting.validator;version="1.0",com.liferay.object.service;version="
 45.0",com.liferay.object.service.persistence;version="6.5",com.lifera
 y.object.system;version="15.0",com.liferay.object.validation.rule;ver
 sion="4.0",com.liferay.osgi.service.tracker.collections;version="2.0"
 ,com.liferay.osgi.service.tracker.collections.list;version="3.0",com.
 liferay.osgi.service.tracker.collections.map;version="2.3",com.lifera
 y.osgi.util;version="2.3",com.liferay.osgi.util.configuration;version
 ="1.3",com.liferay.petra.function;version="1.5",com.liferay.petra.fun
 ction.transform;version="1.2",com.liferay.petra.lang;version="1.3",co
 m.liferay.petra.reflect;version="1.5",com.liferay.petra.sql.dsl;versi
 on="1.2",com.liferay.petra.sql.dsl.base;version="1.0",com.liferay.pet
 ra.sql.dsl.expression;version="1.4",com.liferay.petra.sql.dsl.query;v
 ersion="2.0",com.liferay.petra.sql.dsl.query.sort;version="1.0",com.l
 iferay.petra.sql.dsl.spi.expression;version="1.4",com.liferay.petra.s
 tring;version="1.7",com.liferay.portal.aop;version="1.0",com.liferay.
 portal.catapult;version="2.0",com.liferay.portal.configuration.metaty
 pe.bnd.util;version="3.0",com.liferay.portal.dao.jdbc.postgresql,com.
 liferay.portal.dao.orm.common,com.liferay.portal.instance.lifecycle;v
 ersion="3.0",com.liferay.portal.json,com.liferay.portal.kernel.audit;
 version="8.0",com.liferay.portal.kernel.bean;version="10.1",com.lifer
 ay.portal.kernel.cache;version="14.0",com.liferay.portal.kernel.chang
 e.tracking;version="2.2",com.liferay.portal.kernel.cluster;version="9
 .0",com.liferay.portal.kernel.configuration;version="7.0",com.liferay
 .portal.kernel.dao.db;version="13.0",com.liferay.portal.kernel.dao.jd
 bc;version="9.0",com.liferay.portal.kernel.dao.orm;version="12.0",com
 .liferay.portal.kernel.dao.search;version="9.0",com.liferay.portal.ke
 rnel.dependency.manager;version="2.0",com.liferay.portal.kernel.encry
 ptor;version="1.0",com.liferay.portal.kernel.exception;version="13.2"
 ,com.liferay.portal.kernel.feature.flag;version="1.0",com.liferay.por
 tal.kernel.json;version="12.1",com.liferay.portal.kernel.language;ver
 sion="11.0",com.liferay.portal.kernel.log;version="8.0",com.liferay.p
 ortal.kernel.messaging;version="15.0",com.liferay.portal.kernel.model
 ;version="30.2",com.liferay.portal.kernel.model.impl;version="7.2",co
 m.liferay.portal.kernel.module.framework.service;version="1.0",com.li
 feray.portal.kernel.portlet;version="25.0",com.liferay.portal.kernel.
 portlet.url.builder;version="2.0",com.liferay.portal.kernel.portletfi
 lerepository;version="5.0",com.liferay.portal.kernel.repository.model
 ;version="11.2",com.liferay.portal.kernel.resource.bundle;version="1.
 0",com.liferay.portal.kernel.sanitizer;version="8.0",com.liferay.port
 al.kernel.scripting;version="9.0",com.liferay.portal.kernel.search;ve
 rsion="20.2",com.liferay.portal.kernel.search.facet;version="9.0",com
 .liferay.portal.kernel.search.facet.util;version="7.0",com.liferay.po
 rtal.kernel.search.filter;version="1.0",com.liferay.portal.kernel.sea
 rch.generic;version="3.0",com.liferay.portal.kernel.security.auth;ver
 sion="6.1",com.liferay.portal.kernel.security.permission;version="6.5
 ",com.liferay.portal.kernel.security.permission.resource;version="2.2
 ",com.liferay.portal.kernel.service;version="24.1",com.liferay.portal
 .kernel.service.http;version="1.0",com.liferay.portal.kernel.service.
 persistence;version="21.2",com.liferay.portal.kernel.service.persiste
 nce.impl;version="4.1",com.liferay.portal.kernel.settings;version="4.
 0",com.liferay.portal.kernel.systemevent;version="6.2",com.liferay.po
 rtal.kernel.theme;version="10.5",com.liferay.portal.kernel.transactio
 n;version="8.1",com.liferay.portal.kernel.upgrade;version="21.1",com.
 liferay.portal.kernel.upgrade.util;version="11.0",com.liferay.portal.
 kernel.util;version="60.1",com.liferay.portal.kernel.uuid;version="6.
 2",com.liferay.portal.kernel.workflow;version="18.2",com.liferay.port
 al.kernel.xml;version="7.1",com.liferay.portal.language,com.liferay.p
 ortal.language.override.model;version="2.1",com.liferay.portal.langua
 ge.override.service;version="1.4",com.liferay.portal.odata.filter;ver
 sion="1.1",com.liferay.portal.search.batch;version="2.0",com.liferay.
 portal.search.document;version="1.2",com.liferay.portal.search.hits;v
 ersion="2.1",com.liferay.portal.search.query;version="1.7",com.lifera
 y.portal.search.searcher;version="2.0",com.liferay.portal.search.sort
 ;version="2.0",com.liferay.portal.search.spi.model.index.contributor;
 version="1.2",com.liferay.portal.search.spi.model.index.contributor.h
 elper;version="1.0",com.liferay.portal.search.spi.model.query.contrib
 utor;version="1.1",com.liferay.portal.search.spi.model.query.contribu
 tor.helper;version="2.0",com.liferay.portal.search.spi.model.registra
 r;version="2.0",com.liferay.portal.search.spi.model.registrar.contrib
 utor;version="1.0",com.liferay.portal.search.spi.model.result.contrib
 utor;version="1.1",com.liferay.portal.security.audit.event.generators
 .util;version="2.1",com.liferay.portal.security.service.access.policy
 .model;version="3.1",com.liferay.portal.security.service.access.polic
 y.service;version="1.6",com.liferay.portal.upgrade.registry;version="
 5.0",com.liferay.portal.util;version="49.1",com.liferay.portal.vulcan
 .dto.converter;version="4.0",com.liferay.portal.vulcan.extension;vers
 ion="4.1",com.liferay.portal.vulcan.util;version="11.2",com.liferay.u
 ser.associated.data.anonymizer;version="1.3",com.liferay.user.associa
 ted.data.display;version="2.2",com.liferay.user.associated.data.expor
 ter;version="2.1",com.liferay.user.associated.data.util;version="1.0"
 ,javax.crypto.spec,javax.portlet,javax.servlet,javax.servlet.http,jav
 ax.sql,javax.ws.rs.core;version="2.1",org.apache.commons.io;version="
 1.4",org.osgi.framework;version="1.8",org.osgi.util.tracker;version="
 1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Client-Extension-Batch: com/liferay/object/internal/batch
Liferay-Releng-App-Title: Liferay Object
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 5.3.1
Liferay-Service: true
Private-Package: com.liferay.object.internal.action.engine,com.liferay
 .object.internal.action.executor,com.liferay.object.internal.action.t
 rigger,com.liferay.object.internal.action.trigger.messaging,com.lifer
 ay.object.internal.action.trigger.util,com.liferay.object.internal.ac
 tion.util,com.liferay.object.internal.batch,com.liferay.object.intern
 al.configuration,com.liferay.object.internal.dao.db,com.liferay.objec
 t.internal.definition.util,com.liferay.object.internal.deployer,com.l
 iferay.object.internal.dynamic.data.mapping.expression,com.liferay.ob
 ject.internal.entry.util,com.liferay.object.internal.field.business.t
 ype,com.liferay.object.internal.field.filter.parser,com.liferay.objec
 t.internal.field.setting.contributor,com.liferay.object.internal.filt
 er.parser,com.liferay.object.internal.info.collection.provider,com.li
 feray.object.internal.instance.lifecycle,com.liferay.object.internal.
 item.selector,com.liferay.object.internal.layout.tab.screen.navigatio
 n.category,com.liferay.object.internal.model.listener,com.liferay.obj
 ect.internal.notification.handler,com.liferay.object.internal.notific
 ation.term.contributor,com.liferay.object.internal.petra.sql.dsl,com.
 liferay.object.internal.related.models,com.liferay.object.internal.re
 st.context.path,com.liferay.object.internal.scope,com.liferay.object.
 internal.search,com.liferay.object.internal.search.spi.model.index.co
 ntributor,com.liferay.object.internal.search.spi.model.query.contribu
 tor,com.liferay.object.internal.search.spi.model.result.contributor,c
 om.liferay.object.internal.security.permission.resource,com.liferay.o
 bject.internal.security.permission.resource.util,com.liferay.object.i
 nternal.system,com.liferay.object.internal.system.model.listener,com.
 liferay.object.internal.uad.anonymizer,com.liferay.object.internal.ua
 d.constants,com.liferay.object.internal.uad.display,com.liferay.objec
 t.internal.uad.exporter,com.liferay.object.internal.uad.util,com.life
 ray.object.internal.upgrade.registry,com.liferay.object.internal.upgr
 ade.v1_2_0.util,com.liferay.object.internal.upgrade.v2_1_0,com.lifera
 y.object.internal.upgrade.v2_2_0.util,com.liferay.object.internal.upg
 rade.v2_3_0.util,com.liferay.object.internal.upgrade.v2_4_0.util,com.
 liferay.object.internal.upgrade.v3_13_0,com.liferay.object.internal.u
 pgrade.v3_17_0.util,com.liferay.object.internal.upgrade.v3_18_0,com.l
 iferay.object.internal.upgrade.v3_19_0.util,com.liferay.object.intern
 al.upgrade.v3_19_2,com.liferay.object.internal.upgrade.v3_19_3,com.li
 feray.object.internal.upgrade.v3_1_0,com.liferay.object.internal.upgr
 ade.v3_21_0,com.liferay.object.internal.upgrade.v3_22_0,com.liferay.o
 bject.internal.upgrade.v3_23_1,com.liferay.object.internal.upgrade.v3
 _24_0,com.liferay.object.internal.upgrade.v3_26_0,com.liferay.object.
 internal.upgrade.v3_27_0,com.liferay.object.internal.upgrade.v3_27_1,
 com.liferay.object.internal.upgrade.v3_3_0.util,com.liferay.object.in
 ternal.upgrade.v3_5_0,com.liferay.object.internal.upgrade.v3_6_0,com.
 liferay.object.internal.upgrade.v3_9_0,com.liferay.object.internal.up
 grade.v4_1_0,com.liferay.object.internal.upgrade.v4_1_1,com.liferay.o
 bject.internal.upgrade.v5_0_0,com.liferay.object.internal.upgrade.v5_
 1_0,com.liferay.object.internal.upgrade.v5_1_1,com.liferay.object.int
 ernal.upgrade.v5_2_0,com.liferay.object.internal.upgrade.v5_3_0,com.l
 iferay.object.internal.upgrade.v5_3_1,com.liferay.object.internal.val
 idation.rule,com.liferay.object.internal.workflow,com.liferay.object.
 model.impl,com.liferay.object.service.base,com.liferay.object.service
 .http,com.liferay.object.service.impl,com.liferay.object.service.pers
 istence.impl,com.liferay.object.service.persistence.impl.constants,re
 source-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .object.action.engine.ObjectActionEngine";uses:="com.liferay.object.a
 ction.engine",osgi.service;objectClass:List<String>="com.liferay.obje
 ct.action.executor.ObjectActionExecutor";uses:="com.liferay.object.ac
 tion.executor",osgi.service;objectClass:List<String>="com.liferay.obj
 ect.action.executor.ObjectActionExecutorRegistry";uses:="com.liferay.
 object.action.executor",osgi.service;objectClass:List<String>="com.li
 feray.object.action.trigger.ObjectActionTriggerRegistry";uses:="com.l
 iferay.object.action.trigger",osgi.service;objectClass:List<String>="
 com.liferay.object.field.business.type.ObjectFieldBusinessType";uses:
 ="com.liferay.object.field.business.type",osgi.service;objectClass:Li
 st<String>="com.liferay.object.field.business.type.ObjectFieldBusines
 sTypeRegistry";uses:="com.liferay.object.field.business.type",osgi.se
 rvice;objectClass:List<String>="com.liferay.object.field.filter.parse
 r.ObjectFieldFilterContributor";uses:="com.liferay.object.field.filte
 r.parser",osgi.service;objectClass:List<String>="com.liferay.object.f
 ield.filter.parser.ObjectFieldFilterContributorRegistry";uses:="com.l
 iferay.object.field.filter.parser",osgi.service;objectClass:List<Stri
 ng>="com.liferay.object.internal.field.setting.contributor.ObjectFiel
 dSettingContributor";uses:="com.liferay.object.internal.field.setting
 .contributor",osgi.service;objectClass:List<String>="com.liferay.obje
 ct.internal.field.setting.contributor.ObjectFieldSettingContributorRe
 gistry";uses:="com.liferay.object.internal.field.setting.contributor"
 ,osgi.service;objectClass:List<String>="com.liferay.object.internal.f
 ilter.parser.ObjectFilterParser";uses:="com.liferay.object.internal.f
 ilter.parser",osgi.service;objectClass:List<String>="com.liferay.obje
 ct.internal.filter.parser.ObjectFilterParserServiceRegistry";uses:="c
 om.liferay.object.internal.filter.parser",osgi.service;objectClass:Li
 st<String>="com.liferay.object.internal.info.collection.provider.Rela
 tedInfoCollectionProviderFactory";uses:="com.liferay.object.internal.
 info.collection.provider",osgi.service;objectClass:List<String>="com.
 liferay.object.related.models.ObjectRelatedModelsPredicateProviderReg
 istry";uses:="com.liferay.object.related.models",osgi.service;objectC
 lass:List<String>="com.liferay.object.related.models.ObjectRelatedMod
 elsProviderRegistry";uses:="com.liferay.object.related.models",osgi.s
 ervice;objectClass:List<String>="com.liferay.object.rest.context.path
 .RESTContextPathResolverRegistry";uses:="com.liferay.object.rest.cont
 ext.path",osgi.service;objectClass:List<String>="com.liferay.object.s
 cope.ObjectScopeProvider";uses:="com.liferay.object.scope",osgi.servi
 ce;objectClass:List<String>="com.liferay.object.scope.ObjectScopeProv
 iderRegistry";uses:="com.liferay.object.scope",osgi.service;objectCla
 ss:List<String>="com.liferay.object.service.persistence.ObjectActionP
 ersistence";uses:="com.liferay.object.service.persistence",osgi.servi
 ce;objectClass:List<String>="com.liferay.object.service.persistence.O
 bjectDefinitionPersistence";uses:="com.liferay.object.service.persist
 ence",osgi.service;objectClass:List<String>="com.liferay.object.servi
 ce.persistence.ObjectEntryPersistence";uses:="com.liferay.object.serv
 ice.persistence",osgi.service;objectClass:List<String>="com.liferay.o
 bject.service.persistence.ObjectFieldPersistence";uses:="com.liferay.
 object.service.persistence",osgi.service;objectClass:List<String>="co
 m.liferay.object.service.persistence.ObjectFieldSettingPersistence";u
 ses:="com.liferay.object.service.persistence",osgi.service;objectClas
 s:List<String>="com.liferay.object.service.persistence.ObjectFilterPe
 rsistence";uses:="com.liferay.object.service.persistence",osgi.servic
 e;objectClass:List<String>="com.liferay.object.service.persistence.Ob
 jectLayoutBoxPersistence";uses:="com.liferay.object.service.persisten
 ce",osgi.service;objectClass:List<String>="com.liferay.object.service
 .persistence.ObjectLayoutColumnPersistence";uses:="com.liferay.object
 .service.persistence",osgi.service;objectClass:List<String>="com.life
 ray.object.service.persistence.ObjectLayoutPersistence";uses:="com.li
 feray.object.service.persistence",osgi.service;objectClass:List<Strin
 g>="com.liferay.object.service.persistence.ObjectLayoutRowPersistence
 ";uses:="com.liferay.object.service.persistence",osgi.service;objectC
 lass:List<String>="com.liferay.object.service.persistence.ObjectLayou
 tTabPersistence";uses:="com.liferay.object.service.persistence",osgi.
 service;objectClass:List<String>="com.liferay.object.service.persiste
 nce.ObjectRelationshipPersistence";uses:="com.liferay.object.service.
 persistence",osgi.service;objectClass:List<String>="com.liferay.objec
 t.service.persistence.ObjectStateFlowPersistence";uses:="com.liferay.
 object.service.persistence",osgi.service;objectClass:List<String>="co
 m.liferay.object.service.persistence.ObjectStatePersistence";uses:="c
 om.liferay.object.service.persistence",osgi.service;objectClass:List<
 String>="com.liferay.object.service.persistence.ObjectStateTransition
 Persistence";uses:="com.liferay.object.service.persistence",osgi.serv
 ice;objectClass:List<String>="com.liferay.object.service.persistence.
 ObjectValidationRulePersistence";uses:="com.liferay.object.service.pe
 rsistence",osgi.service;objectClass:List<String>="com.liferay.object.
 service.persistence.ObjectViewColumnPersistence";uses:="com.liferay.o
 bject.service.persistence",osgi.service;objectClass:List<String>="com
 .liferay.object.service.persistence.ObjectViewFilterColumnPersistence
 ";uses:="com.liferay.object.service.persistence",osgi.service;objectC
 lass:List<String>="com.liferay.object.service.persistence.ObjectViewP
 ersistence";uses:="com.liferay.object.service.persistence",osgi.servi
 ce;objectClass:List<String>="com.liferay.object.service.persistence.O
 bjectViewSortColumnPersistence";uses:="com.liferay.object.service.per
 sistence",osgi.service;objectClass:List<String>="com.liferay.object.s
 ystem.SystemObjectDefinitionManager";uses:="com.liferay.object.system
 ",osgi.service;objectClass:List<String>="com.liferay.object.system.Sy
 stemObjectDefinitionManagerRegistry";uses:="com.liferay.object.system
 ",osgi.service;objectClass:List<String>="com.liferay.object.validatio
 n.rule.ObjectValidationRuleEngine";uses:="com.liferay.object.validati
 on.rule",osgi.service;objectClass:List<String>="com.liferay.object.va
 lidation.rule.ObjectValidationRuleEngineRegistry";uses:="com.liferay.
 object.validation.rule",osgi.service;objectClass:List<String>="com.li
 feray.portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.instance.lifecycle.P
 ortalInstanceLifecycleListener";uses:="com.liferay.portal.instance.li
 fecycle",osgi.service;objectClass:List<String>="com.liferay.portal.ke
 rnel.dao.orm.ArgumentsResolver";uses:="com.liferay.portal.kernel.dao.
 orm",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .messaging.MessageListener";uses:="com.liferay.portal.kernel.messagin
 g",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.m
 odel.ModelListener";uses:="com.liferay.portal.kernel.model",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.search.Docume
 ntContributor";uses:="com.liferay.portal.kernel.search",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.security.permissi
 on.resource.ModelResourcePermission";uses:="com.liferay.portal.kernel
 .security.permission.resource",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.security.permission.resource.PortletResour
 cePermission";uses:="com.liferay.portal.kernel.security.permission.re
 source",osgi.service;objectClass:List<String>="com.liferay.portal.sea
 rch.spi.model.index.contributor.ModelDocumentContributor";uses:="com.
 liferay.portal.search.spi.model.index.contributor",osgi.service;objec
 tClass:List<String>="com.liferay.portal.search.spi.model.index.contri
 butor.ModelIndexerWriterContributor";uses:="com.liferay.portal.search
 .spi.model.index.contributor",osgi.service;objectClass:List<String>="
 com.liferay.portal.search.spi.model.query.contributor.KeywordQueryCon
 tributor";uses:="com.liferay.portal.search.spi.model.query.contributo
 r",osgi.service;objectClass:List<String>="com.liferay.portal.search.s
 pi.model.query.contributor.ModelPreFilterContributor";uses:="com.life
 ray.portal.search.spi.model.query.contributor",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.upgrade.registry.UpgradeStepRegis
 trator";uses:="com.liferay.portal.upgrade.registry",osgi.service;obje
 ctClass:List<String>="com.liferay.object.service.ObjectActionLocalSer
 vice",osgi.service;objectClass:List<String>="com.liferay.object.servi
 ce.ObjectActionService",osgi.service;objectClass:List<String>="com.li
 feray.object.service.ObjectDefinitionLocalService",osgi.service;objec
 tClass:List<String>="com.liferay.object.service.ObjectDefinitionServi
 ce",osgi.service;objectClass:List<String>="com.liferay.object.service
 .ObjectEntryLocalService",osgi.service;objectClass:List<String>="com.
 liferay.object.service.ObjectEntryService",osgi.service;objectClass:L
 ist<String>="com.liferay.object.service.ObjectFieldLocalService",osgi
 .service;objectClass:List<String>="com.liferay.object.service.ObjectF
 ieldService",osgi.service;objectClass:List<String>="com.liferay.objec
 t.service.ObjectFieldSettingLocalService",osgi.service;objectClass:Li
 st<String>="com.liferay.object.service.ObjectFilterLocalService",osgi
 .service;objectClass:List<String>="com.liferay.object.service.ObjectL
 ayoutLocalService",osgi.service;objectClass:List<String>="com.liferay
 .object.service.ObjectLayoutService",osgi.service;objectClass:List<St
 ring>="com.liferay.object.service.ObjectLayoutTabLocalService",osgi.s
 ervice;objectClass:List<String>="com.liferay.object.service.ObjectLay
 outTabService",osgi.service;objectClass:List<String>="com.liferay.obj
 ect.service.ObjectRelationshipLocalService",osgi.service;objectClass:
 List<String>="com.liferay.object.service.ObjectRelationshipService",o
 sgi.service;objectClass:List<String>="com.liferay.object.service.Obje
 ctStateFlowLocalService",osgi.service;objectClass:List<String>="com.l
 iferay.object.service.ObjectStateLocalService",osgi.service;objectCla
 ss:List<String>="com.liferay.object.service.ObjectStateTransitionLoca
 lService",osgi.service;objectClass:List<String>="com.liferay.object.s
 ervice.ObjectValidationRuleLocalService",osgi.service;objectClass:Lis
 t<String>="com.liferay.object.service.ObjectValidationRuleService",os
 gi.service;objectClass:List<String>="com.liferay.object.service.Objec
 tViewColumnService",osgi.service;objectClass:List<String>="com.lifera
 y.object.service.ObjectViewFilterColumnLocalService",osgi.service;obj
 ectClass:List<String>="com.liferay.object.service.ObjectViewLocalServ
 ice",osgi.service;objectClass:List<String>="com.liferay.object.servic
 e.ObjectViewService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.acc
 ount.service.AccountEntryLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.account.service.AccountEntryOrgan
 izationRelLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.asset.kernel.service.AssetEntryLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.asset.
 kernel.service.AssetLinkLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.counter.kernel.service.CounterLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.document.library.kernel.service.DLAppLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.document.libra
 ry.kernel.service.DLFileEntryLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.document.library.kernel.servi
 ce.DLFolderLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.dynamic.data.mapping.expression.DDMExpressionFa
 ctory)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.headless.admin.user.resource.v1_0.UserAccountResource$Factory)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.item.
 selector.ItemSelector)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.item.selector.ItemSelectorViewDescriptorRenderer)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.la
 yout.service.LayoutClassedModelUsageLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.list.type.service.List
 TypeDefinitionLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.list.type.service.ListTypeEntryLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.no
 tification.service.NotificationTemplateLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.notification.type.N
 otificationTypeServiceTracker)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.object.action.engine.ObjectActionEngine)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.obj
 ect.action.executor.ObjectActionExecutorRegistry)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.object.field.business.
 type.ObjectFieldBusinessTypeRegistry)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.object.field.filter.parser.ObjectF
 ieldFilterContributorRegistry)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.object.internal.field.setting.contributor
 .ObjectFieldSettingContributorRegistry)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.object.internal.filter.parser.Ob
 jectFilterParserServiceRegistry)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.object.internal.info.collection.provide
 r.RelatedInfoCollectionProviderFactory)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.object.related.models.ObjectRela
 tedModelsProviderRegistry)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.object.rest.manager.v1_0.ObjectEntryManagerRe
 gistry)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.object.rest.petra.sql.dsl.expression.FilterPredicateFactory)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.object
 .scope.ObjectScopeProviderRegistry)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.object.scripting.executor.ObjectScri
 ptingExecutor)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.object.scripting.validator.ObjectScriptingValidator)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.object.
 service.ObjectActionLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.object.service.ObjectDefinitionLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.object.service.ObjectDefinitionLocalService)";effective:=active;r
 esolution:=optional,osgi.service;filter:="(objectClass=com.liferay.ob
 ject.service.ObjectEntryLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.object.service.ObjectEntryService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.ob
 ject.service.ObjectFieldLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.object.service.ObjectFieldSettingL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.object.service.ObjectFilterLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.object.service.Object
 LayoutLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.object.service.ObjectLayoutTabLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.object.serv
 ice.ObjectRelationshipLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.object.service.ObjectStateFlowLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.object.service.ObjectStateLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.object.service.ObjectStateT
 ransitionLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.object.service.ObjectValidationRuleLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.obj
 ect.service.ObjectViewFilterColumnLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.object.service.ObjectVie
 wLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.object.service.persistence.ObjectActionPersistence)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.object.s
 ervice.persistence.ObjectDefinitionPersistence)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.object.service.persisten
 ce.ObjectEntryPersistence)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.object.service.persistence.ObjectFieldPersist
 ence)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.object.service.persistence.ObjectFieldSettingPersistence)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.object.serv
 ice.persistence.ObjectFilterPersistence)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.object.service.persistence.Obje
 ctLayoutBoxPersistence)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.object.service.persistence.ObjectLayoutColumnPer
 sistence)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.object.service.persistence.ObjectLayoutPersistence)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.object.servic
 e.persistence.ObjectLayoutRowPersistence)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.object.service.persistence.Obj
 ectLayoutTabPersistence)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.object.service.persistence.ObjectRelationshipPe
 rsistence)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.object.service.persistence.ObjectStateFlowPersistence)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.object.se
 rvice.persistence.ObjectStatePersistence)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.object.service.persistence.Obj
 ectStateTransitionPersistence)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.object.service.persistence.ObjectValidati
 onRulePersistence)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.object.service.persistence.ObjectViewColumnPersistenc
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 object.service.persistence.ObjectViewFilterColumnPersistence)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.object.ser
 vice.persistence.ObjectViewPersistence)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.object.service.persistence.Objec
 tViewSortColumnPersistence)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.object.system.SystemObjectDefinitionManagerR
 egistry)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.object.validation.rule.ObjectValidationRuleEngineRegistry)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 catapult.PortalCatapult)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.audit.AuditRouter)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.cac
 he.MultiVMPool)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.configuration.Configuration)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.da
 o.jdbc.CurrentConnection)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.dao.orm.EntityCache)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 dao.orm.FinderCache)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.dao.orm.SessionFactory)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.en
 cryptor.Encryptor)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.json.JSONFactory)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.language.L
 anguage)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.messaging.DestinationFactory)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.messagin
 g.MessageBus)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.model.Release)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.portletfilereposit
 ory.PortletFileRepository)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.security.permission.InlineSQLHe
 lper)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.security.permission.PermissionCheckerFactory)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.security.permission.ResourceActions)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.security.permiss
 ion.resource.ModelResourcePermission)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.security.permission.
 resource.PortletResourcePermission)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.AddressLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.service.ClassNameLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.C
 ompanyLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.service.GroupLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 service.ListTypeLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.OrganizationLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.PersistedModelLocalServiceRegistry)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.PortletLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.ResourceActionLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.ResourceLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .ResourcePermissionLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.RoleLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.UserGroupRoleLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.service.Use
 rLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.service.WorkflowInstanceLinkLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.util.Http)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.util.Localization)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.Po
 rtal)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.uuid.PortalUUID)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.workflow.WorkflowInstanc
 eManager)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.language.override.service.PLOEntryLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sea
 rch.batch.DynamicQueryBatchIndexingActionableFactory)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.search.quer
 y.QueryHelper)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.search.searcher.SearchRequestBuilderFactory)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.s
 earch.searcher.Searcher)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.search.sort.Sorts)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.search.spi.model.
 index.contributor.ModelIndexerWriterContributor)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.search.spi.model
 .query.contributor.ModelPreFilterContributor)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.search.spi.model.re
 gistrar.ModelSearchRegistrarHelper)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.security.service.access.polic
 y.service.SAPEntryLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.vulcan.dto.converter.DTOConverter
 Registry)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.vulcan.extension.ExtensionProviderRegistry)";effective:
 =active,osgi.service;filter:="(objectClass=javax.sql.DataSource)";eff
 ective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.component
 )(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=Ja
 vaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osg
 i.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPo
 rtlet)(version=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1
 .8))"
Service-Component: OSGI-INF/com.liferay.object.internal.action.engine.
 ObjectActionEngineImpl.xml,OSGI-INF/com.liferay.object.internal.actio
 n.executor.AddObjectEntryObjectActionExecutorImpl.xml,OSGI-INF/com.li
 feray.object.internal.action.executor.FunctionObjectActionExecutorImp
 l.xml,OSGI-INF/com.liferay.object.internal.action.executor.GroovyObje
 ctActionExecutorImpl.xml,OSGI-INF/com.liferay.object.internal.action.
 executor.NotificationTemplateObjectActionExecutorImpl.xml,OSGI-INF/co
 m.liferay.object.internal.action.executor.ObjectActionExecutorRegistr
 yImpl.xml,OSGI-INF/com.liferay.object.internal.action.executor.Update
 ObjectEntryObjectActionExecutorImpl.xml,OSGI-INF/com.liferay.object.i
 nternal.action.executor.WebhookObjectActionExecutorImpl.xml,OSGI-INF/
 com.liferay.object.internal.action.trigger.ObjectActionTriggerRegistr
 yImpl.xml,OSGI-INF/com.liferay.object.internal.action.trigger.messagi
 ng.ObjectActionDownloadTriggerMessageListener.xml,OSGI-INF/com.lifera
 y.object.internal.field.business.type.AggregationObjectFieldBusinessT
 ype.xml,OSGI-INF/com.liferay.object.internal.field.business.type.Atta
 chmentObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.interna
 l.field.business.type.BooleanObjectFieldBusinessType.xml,OSGI-INF/com
 .liferay.object.internal.field.business.type.DateObjectFieldBusinessT
 ype.xml,OSGI-INF/com.liferay.object.internal.field.business.type.Date
 TimeObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.internal.
 field.business.type.DecimalObjectFieldBusinessType.xml,OSGI-INF/com.l
 iferay.object.internal.field.business.type.EncryptedObjectFieldBusine
 ssType.xml,OSGI-INF/com.liferay.object.internal.field.business.type.F
 ormulaObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.interna
 l.field.business.type.IntegerObjectFieldBusinessType.xml,OSGI-INF/com
 .liferay.object.internal.field.business.type.LargeFileObjectFieldBusi
 nessType.xml,OSGI-INF/com.liferay.object.internal.field.business.type
 .LongIntegerObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.i
 nternal.field.business.type.LongTextObjectFieldBusinessType.xml,OSGI-
 INF/com.liferay.object.internal.field.business.type.MultiselectPickli
 stObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.internal.fi
 eld.business.type.ObjectFieldBusinessTypeRegistryImpl.xml,OSGI-INF/co
 m.liferay.object.internal.field.business.type.PicklistObjectFieldBusi
 nessType.xml,OSGI-INF/com.liferay.object.internal.field.business.type
 .PrecisionDecimalObjectFieldBusinessType.xml,OSGI-INF/com.liferay.obj
 ect.internal.field.business.type.RelationshipObjectFieldBusinessType.
 xml,OSGI-INF/com.liferay.object.internal.field.business.type.RichText
 ObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.internal.fiel
 d.business.type.TextObjectFieldBusinessType.xml,OSGI-INF/com.liferay.
 object.internal.field.filter.parser.ListObjectFieldFilterContributor.
 xml,OSGI-INF/com.liferay.object.internal.field.filter.parser.ObjectFi
 eldFilterContributorRegistryImpl.xml,OSGI-INF/com.liferay.object.inte
 rnal.field.setting.contributor.DefaultObjectFieldSettingContributor.x
 ml,OSGI-INF/com.liferay.object.internal.field.setting.contributor.Fil
 tersObjectFieldSettingsContributor.xml,OSGI-INF/com.liferay.object.in
 ternal.field.setting.contributor.ObjectFieldSettingContributorRegistr
 y.xml,OSGI-INF/com.liferay.object.internal.field.setting.contributor.
 StateFlowObjectFieldSettingContributor.xml,OSGI-INF/com.liferay.objec
 t.internal.filter.parser.CurrentUserObjectFilterParser.xml,OSGI-INF/c
 om.liferay.object.internal.filter.parser.DateRangeObjectFilterParser.
 xml,OSGI-INF/com.liferay.object.internal.filter.parser.EqualityOperat
 orsObjectFilterParser.xml,OSGI-INF/com.liferay.object.internal.filter
 .parser.InclusionOperatorsObjectFilterParser.xml,OSGI-INF/com.liferay
 .object.internal.filter.parser.ObjectFilterParserServiceRegistry.xml,
 OSGI-INF/com.liferay.object.internal.info.collection.provider.Related
 InfoCollectionProviderFactory.xml,OSGI-INF/com.liferay.object.interna
 l.instance.lifecycle.SAPEntryPortalInstanceLifecycleListener.xml,OSGI
 -INF/com.liferay.object.internal.instance.lifecycle.SystemObjectDefin
 itionManagerPortalInstanceLifecycleListener.xml,OSGI-INF/com.liferay.
 object.internal.model.listener.CompanyModelListener.xml,OSGI-INF/com.
 liferay.object.internal.model.listener.GroupModelListener.xml,OSGI-IN
 F/com.liferay.object.internal.model.listener.ListTypeEntryModelListen
 er.xml,OSGI-INF/com.liferay.object.internal.model.listener.ObjectActi
 onModelListener.xml,OSGI-INF/com.liferay.object.internal.model.listen
 er.ObjectDefinitionModelListener.xml,OSGI-INF/com.liferay.object.inte
 rnal.model.listener.ObjectEntryModelListener.xml,OSGI-INF/com.liferay
 .object.internal.model.listener.ObjectFieldModelListener.xml,OSGI-INF
 /com.liferay.object.internal.model.listener.ObjectFieldSettingModelLi
 stener.xml,OSGI-INF/com.liferay.object.internal.model.listener.Object
 LayoutBoxModelListener.xml,OSGI-INF/com.liferay.object.internal.model
 .listener.ObjectLayoutColumnModelListener.xml,OSGI-INF/com.liferay.ob
 ject.internal.model.listener.ObjectLayoutModelListener.xml,OSGI-INF/c
 om.liferay.object.internal.model.listener.ObjectLayoutRowModelListene
 r.xml,OSGI-INF/com.liferay.object.internal.model.listener.ObjectLayou
 tTabModelListener.xml,OSGI-INF/com.liferay.object.internal.model.list
 ener.ObjectRelationshipModelListener.xml,OSGI-INF/com.liferay.object.
 internal.model.listener.ObjectValidationRuleModelListener.xml,OSGI-IN
 F/com.liferay.object.internal.model.listener.ObjectViewColumnModelLis
 tener.xml,OSGI-INF/com.liferay.object.internal.model.listener.ObjectV
 iewModelListener.xml,OSGI-INF/com.liferay.object.internal.model.liste
 ner.ObjectViewSortColumnModelListener.xml,OSGI-INF/com.liferay.object
 .internal.related.models.ObjectRelatedModelsPredicateProviderRegistry
 Impl.xml,OSGI-INF/com.liferay.object.internal.related.models.ObjectRe
 latedModelsProviderRegistryImpl.xml,OSGI-INF/com.liferay.object.inter
 nal.rest.context.path.RESTContextPathResolverRegistryImpl.xml,OSGI-IN
 F/com.liferay.object.internal.scope.CompanyInstanceObjectScopeProvide
 rImpl.xml,OSGI-INF/com.liferay.object.internal.scope.DepotObjectScope
 ProviderImpl.xml,OSGI-INF/com.liferay.object.internal.scope.ObjectSco
 peProviderRegistryImpl.xml,OSGI-INF/com.liferay.object.internal.scope
 .SiteObjectScopeProviderImpl.xml,OSGI-INF/com.liferay.object.internal
 .search.ObjectActionSearchRegistrar.xml,OSGI-INF/com.liferay.object.i
 nternal.search.ObjectDefinitionSearchRegistrar.xml,OSGI-INF/com.lifer
 ay.object.internal.search.ObjectFieldSearchRegistrar.xml,OSGI-INF/com
 .liferay.object.internal.search.ObjectLayoutSearchRegistrar.xml,OSGI-
 INF/com.liferay.object.internal.search.ObjectRelationshipSearchRegist
 rar.xml,OSGI-INF/com.liferay.object.internal.search.ObjectValidationR
 uleSearchRegistrar.xml,OSGI-INF/com.liferay.object.internal.search.Ob
 jectViewSearchRegistrar.xml,OSGI-INF/com.liferay.object.internal.sear
 ch.spi.model.index.contributor.ObjectActionModelDocumentContributor.x
 ml,OSGI-INF/com.liferay.object.internal.search.spi.model.index.contri
 butor.ObjectActionModelIndexerWriterContributor.xml,OSGI-INF/com.life
 ray.object.internal.search.spi.model.index.contributor.ObjectDefiniti
 onModelDocumentContributor.xml,OSGI-INF/com.liferay.object.internal.s
 earch.spi.model.index.contributor.ObjectDefinitionModelIndexerWriterC
 ontributor.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.
 index.contributor.ObjectEntryDocumentContributor.xml,OSGI-INF/com.lif
 eray.object.internal.search.spi.model.index.contributor.ObjectFieldMo
 delDocumentContributor.xml,OSGI-INF/com.liferay.object.internal.searc
 h.spi.model.index.contributor.ObjectFieldModelIndexerWriterContributo
 r.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.index.con
 tributor.ObjectLayoutModelDocumentContributor.xml,OSGI-INF/com.lifera
 y.object.internal.search.spi.model.index.contributor.ObjectLayoutMode
 lIndexerWriterContributor.xml,OSGI-INF/com.liferay.object.internal.se
 arch.spi.model.index.contributor.ObjectRelationshipModelDocumentContr
 ibutor.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.inde
 x.contributor.ObjectRelationshipModelIndexerWriterContributor.xml,OSG
 I-INF/com.liferay.object.internal.search.spi.model.index.contributor.
 ObjectValidationRuleModelDocumentContributor.xml,OSGI-INF/com.liferay
 .object.internal.search.spi.model.index.contributor.ObjectValidationR
 uleModelIndexerWriterContributor.xml,OSGI-INF/com.liferay.object.inte
 rnal.search.spi.model.index.contributor.ObjectViewModelDocumentContri
 butor.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.index
 .contributor.ObjectViewModelIndexerWriterContributor.xml,OSGI-INF/com
 .liferay.object.internal.search.spi.model.query.contributor.ObjectAct
 ionKeywordQueryContributor.xml,OSGI-INF/com.liferay.object.internal.s
 earch.spi.model.query.contributor.ObjectActionModelPreFilterContribut
 or.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.query.co
 ntributor.ObjectDefinitionKeywordQueryContributor.xml,OSGI-INF/com.li
 feray.object.internal.search.spi.model.query.contributor.ObjectFieldK
 eywordQueryContributor.xml,OSGI-INF/com.liferay.object.internal.searc
 h.spi.model.query.contributor.ObjectFieldModelPreFilterContributor.xm
 l,OSGI-INF/com.liferay.object.internal.search.spi.model.query.contrib
 utor.ObjectLayoutKeywordQueryContributor.xml,OSGI-INF/com.liferay.obj
 ect.internal.search.spi.model.query.contributor.ObjectLayoutModelPreF
 ilterContributor.xml,OSGI-INF/com.liferay.object.internal.search.spi.
 model.query.contributor.ObjectRelationshipKeywordQueryContributor.xml
 ,OSGI-INF/com.liferay.object.internal.search.spi.model.query.contribu
 tor.ObjectRelationshipModelPreFilterContributor.xml,OSGI-INF/com.life
 ray.object.internal.search.spi.model.query.contributor.ObjectValidati
 onRuleKeywordQueryContributor.xml,OSGI-INF/com.liferay.object.interna
 l.search.spi.model.query.contributor.ObjectValidationRuleModelPreFilt
 erContributor.xml,OSGI-INF/com.liferay.object.internal.search.spi.mod
 el.query.contributor.ObjectViewKeywordQueryContributor.xml,OSGI-INF/c
 om.liferay.object.internal.search.spi.model.query.contributor.ObjectV
 iewModelPreFilterContributor.xml,OSGI-INF/com.liferay.object.internal
 .security.permission.resource.ObjectDefinitionModelResourcePermission
 .xml,OSGI-INF/com.liferay.object.internal.security.permission.resourc
 e.ObjectPortletResourcePermissionWrapper.xml,OSGI-INF/com.liferay.obj
 ect.internal.system.AddressSystemObjectDefinitionManager.xml,OSGI-INF
 /com.liferay.object.internal.system.SystemObjectDefinitionManagerRegi
 stryImpl.xml,OSGI-INF/com.liferay.object.internal.system.SystemObject
 DefinitionManagerServiceTrackerCustomizer.xml,OSGI-INF/com.liferay.ob
 ject.internal.system.UserSystemObjectDefinitionManager.xml,OSGI-INF/c
 om.liferay.object.internal.upgrade.registry.ObjectServiceUpgradeStepR
 egistrator.xml,OSGI-INF/com.liferay.object.internal.validation.rule.D
 DMObjectValidationRuleEngineImpl.xml,OSGI-INF/com.liferay.object.inte
 rnal.validation.rule.GroovyObjectValidationRuleEngineImpl.xml,OSGI-IN
 F/com.liferay.object.internal.validation.rule.ObjectValidationRuleEng
 ineRegistryImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectAc
 tionLocalServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.Obj
 ectActionServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.Obj
 ectDefinitionLocalServiceImpl.xml,OSGI-INF/com.liferay.object.service
 .impl.ObjectDefinitionServiceImpl.xml,OSGI-INF/com.liferay.object.ser
 vice.impl.ObjectEntryLocalServiceImpl.xml,OSGI-INF/com.liferay.object
 .service.impl.ObjectEntryServiceImpl.xml,OSGI-INF/com.liferay.object.
 service.impl.ObjectFieldLocalServiceImpl.xml,OSGI-INF/com.liferay.obj
 ect.service.impl.ObjectFieldServiceImpl.xml,OSGI-INF/com.liferay.obje
 ct.service.impl.ObjectFieldSettingLocalServiceImpl.xml,OSGI-INF/com.l
 iferay.object.service.impl.ObjectFilterLocalServiceImpl.xml,OSGI-INF/
 com.liferay.object.service.impl.ObjectLayoutLocalServiceImpl.xml,OSGI
 -INF/com.liferay.object.service.impl.ObjectLayoutServiceImpl.xml,OSGI
 -INF/com.liferay.object.service.impl.ObjectLayoutTabLocalServiceImpl.
 xml,OSGI-INF/com.liferay.object.service.impl.ObjectLayoutTabServiceIm
 pl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectRelationshipLoc
 alServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectRela
 tionshipServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.Obje
 ctStateFlowLocalServiceImpl.xml,OSGI-INF/com.liferay.object.service.i
 mpl.ObjectStateLocalServiceImpl.xml,OSGI-INF/com.liferay.object.servi
 ce.impl.ObjectStateTransitionLocalServiceImpl.xml,OSGI-INF/com.lifera
 y.object.service.impl.ObjectValidationRuleLocalServiceImpl.xml,OSGI-I
 NF/com.liferay.object.service.impl.ObjectValidationRuleServiceImpl.xm
 l,OSGI-INF/com.liferay.object.service.impl.ObjectViewColumnServiceImp
 l.xml,OSGI-INF/com.liferay.object.service.impl.ObjectViewFilterColumn
 LocalServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectV
 iewLocalServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.Obje
 ctViewServiceImpl.xml,OSGI-INF/com.liferay.object.service.persistence
 .impl.ObjectActionModelArgumentsResolver.xml,OSGI-INF/com.liferay.obj
 ect.service.persistence.impl.ObjectActionPersistenceImpl.xml,OSGI-INF
 /com.liferay.object.service.persistence.impl.ObjectDefinitionModelArg
 umentsResolver.xml,OSGI-INF/com.liferay.object.service.persistence.im
 pl.ObjectDefinitionPersistenceImpl.xml,OSGI-INF/com.liferay.object.se
 rvice.persistence.impl.ObjectEntryModelArgumentsResolver.xml,OSGI-INF
 /com.liferay.object.service.persistence.impl.ObjectEntryPersistenceIm
 pl.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectFie
 ldModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.service.pers
 istence.impl.ObjectFieldPersistenceImpl.xml,OSGI-INF/com.liferay.obje
 ct.service.persistence.impl.ObjectFieldSettingModelArgumentsResolver.
 xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectFieldS
 ettingPersistenceImpl.xml,OSGI-INF/com.liferay.object.service.persist
 ence.impl.ObjectFilterModelArgumentsResolver.xml,OSGI-INF/com.liferay
 .object.service.persistence.impl.ObjectFilterPersistenceImpl.xml,OSGI
 -INF/com.liferay.object.service.persistence.impl.ObjectLayoutBoxModel
 ArgumentsResolver.xml,OSGI-INF/com.liferay.object.service.persistence
 .impl.ObjectLayoutBoxPersistenceImpl.xml,OSGI-INF/com.liferay.object.
 service.persistence.impl.ObjectLayoutColumnModelArgumentsResolver.xml
 ,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectLayoutCol
 umnPersistenceImpl.xml,OSGI-INF/com.liferay.object.service.persistenc
 e.impl.ObjectLayoutModelArgumentsResolver.xml,OSGI-INF/com.liferay.ob
 ject.service.persistence.impl.ObjectLayoutPersistenceImpl.xml,OSGI-IN
 F/com.liferay.object.service.persistence.impl.ObjectLayoutRowModelArg
 umentsResolver.xml,OSGI-INF/com.liferay.object.service.persistence.im
 pl.ObjectLayoutRowPersistenceImpl.xml,OSGI-INF/com.liferay.object.ser
 vice.persistence.impl.ObjectLayoutTabModelArgumentsResolver.xml,OSGI-
 INF/com.liferay.object.service.persistence.impl.ObjectLayoutTabPersis
 tenceImpl.xml,OSGI-INF/com.liferay.object.service.persistence.impl.Ob
 jectRelationshipModelArgumentsResolver.xml,OSGI-INF/com.liferay.objec
 t.service.persistence.impl.ObjectRelationshipPersistenceImpl.xml,OSGI
 -INF/com.liferay.object.service.persistence.impl.ObjectStateFlowModel
 ArgumentsResolver.xml,OSGI-INF/com.liferay.object.service.persistence
 .impl.ObjectStateFlowPersistenceImpl.xml,OSGI-INF/com.liferay.object.
 service.persistence.impl.ObjectStateModelArgumentsResolver.xml,OSGI-I
 NF/com.liferay.object.service.persistence.impl.ObjectStatePersistence
 Impl.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectS
 tateTransitionModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.
 service.persistence.impl.ObjectStateTransitionPersistenceImpl.xml,OSG
 I-INF/com.liferay.object.service.persistence.impl.ObjectValidationRul
 eModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.service.persi
 stence.impl.ObjectValidationRulePersistenceImpl.xml,OSGI-INF/com.life
 ray.object.service.persistence.impl.ObjectViewColumnModelArgumentsRes
 olver.xml,OSGI-INF/com.liferay.object.service.persistence.impl.Object
 ViewColumnPersistenceImpl.xml,OSGI-INF/com.liferay.object.service.per
 sistence.impl.ObjectViewFilterColumnModelArgumentsResolver.xml,OSGI-I
 NF/com.liferay.object.service.persistence.impl.ObjectViewFilterColumn
 PersistenceImpl.xml,OSGI-INF/com.liferay.object.service.persistence.i
 mpl.ObjectViewModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.
 service.persistence.impl.ObjectViewPersistenceImpl.xml,OSGI-INF/com.l
 iferay.object.service.persistence.impl.ObjectViewSortColumnModelArgum
 entsResolver.xml,OSGI-INF/com.liferay.object.service.persistence.impl
 .ObjectViewSortColumnPersistenceImpl.xml
Tool: Bnd-4.3.0.201909301554

